Package org.springframework.security.access.event

# Class AuthorizationFailureEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.access.event.AbstractAuthorizationEvent
org.springframework.security.access.event.AuthorizationFailureEvent

All Implemented Interfaces:
  `Serializable`

@Deprecated public class AuthorizationFailureEvent extends AbstractAuthorizationEvent
Deprecated.
Use `AuthorizationDeniedEvent` instead
Indicates a secure object invocation failed because the principal could not be authorized for the request.

This event might be thrown as a result of either an `AccessDecisionManager` or an `AfterInvocationManager`.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationFailureEvent(Object secureObject, Collection<ConfigAttribute> attributes, Authentication authentication, AccessDeniedException accessDeniedException)`
Deprecated.
Construct the event.

## Method Summary

Modifier and Type
Method
Description
`AccessDeniedException`
`getAccessDeniedException()`
Deprecated.
`Authentication`
`getAuthentication()`
Deprecated.
`Collection<ConfigAttribute>`
`getConfigAttributes()`
Deprecated.

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizationFailureEvent

public AuthorizationFailureEvent(Object secureObject, Collection<ConfigAttribute> attributes, Authentication authentication, AccessDeniedException accessDeniedException)
Deprecated.
Construct the event.

Parameters:
  `secureObject` - the secure object
  `attributes` - that apply to the secure object
  `authentication` - that was found in the `SecurityContextHolder`
  `accessDeniedException` - that was returned by the `AccessDecisionManager`
Throws:
  `IllegalArgumentException` - if any null arguments are presented.

## Method Details

### getAccessDeniedException

public AccessDeniedException getAccessDeniedException()
Deprecated.

### getAuthentication

public Authentication getAuthentication()
Deprecated.

### getConfigAttributes

public Collection<ConfigAttribute> getConfigAttributes()
Deprecated.